import http from "@/utils/http";
//登录
export const login= (user)=>{
    return http({
        url:"/user/login",
        method:"post",
        data:user,
        headers:{
            isToken:false
        }
    })
}
//注册
export const register= (user)=>{
    return http({
        url:"/user/register",
        method:"post",
        data:user,
        headers:{
            isToken:false
        }
    })
}
//获取用户信息
export const getUserInfo= ()=>{
    return http({
        url:"/user",
        method:"get"
    })
}
//修改用户信息
export const updateUserInfo= (user)=>{
    return http.request({
        url:"/user/update",
        method:"post",
        data:user
    })
}
